Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1576896 - Nouveau errors during boot
Summary: Nouveau errors during boot
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 31
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 16:14 UTC by Sebastian
Modified: 2020-11-24 15:26 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 15:26:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Sebastian 2018-05-10 16:14:04 UTC
Description of problem: While booting the system some nouveau related errors occur.


How reproducible: Reproducible at every boot.


Steps to Reproduce:
1. Reboot your system
2. Check log for errors


Actual results:
nouveau 0000:04:00.0: DRM: Pointer to TMDS table invalid
nouveau 0000:04:00.0: bus: MMIO read of 00000000 FAULT at 10ac08 [ IBUS ]
nouveau 0000:04:00.0: bus: MMIO read of 00000000 FAULT at 612004 [ IBUS ]


Expected results: No errors during boot.


Additional info: 
[user@localhost ~]$ dmesg | grep nouveau
[    2.191585] nouveau: detected PR support, will not use DSM
[    2.191614] nouveau 0000:04:00.0: enabling device (0000 -> 0003)
[    2.191760] nouveau 0000:04:00.0: NVIDIA GM108 (118070a2)
[    2.206945] nouveau 0000:04:00.0: bios: version 82.08.3b.00.21
[    2.291554] nouveau 0000:04:00.0: fb: 1024 MiB DDR3
[    2.291568] nouveau 0000:04:00.0: bus: MMIO read of 00000000 FAULT at 612004 [ IBUS ]
[    2.298598] nouveau 0000:04:00.0: bus: MMIO read of 00000000 FAULT at 10ac08 [ IBUS ]
[    2.940411] nouveau 0000:04:00.0: DRM: VRAM: 1024 MiB
[    2.940412] nouveau 0000:04:00.0: DRM: GART: 1048576 MiB
[    2.940415] nouveau 0000:04:00.0: DRM: Pointer to TMDS table invalid
[    2.940419] nouveau 0000:04:00.0: DRM: DCB version 4.0
[    2.941153] nouveau 0000:04:00.0: DRM: MM: using COPY for buffer copies
[    2.941159] [drm] Initialized nouveau 1.3.1 20120801 for 0000:04:00.0 on minor 0

[user@localhost ~]$ lspci | grep -i --color 'vga\|3d\|2d'
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 5500 (rev 09)
04:00.0 3D controller: NVIDIA Corporation GM108M [GeForce 940M] (rev a2)

Device: Lenovo Thinkpad T450s

Comment 1 Jerry James 2018-05-16 04:00:54 UTC
Similar issue here with an HP Envy 750-467c Desktop PC.  Every boot of F28 logs this:

nouveau 0000:01:00.0: NVIDIA GM107 (117000a2)
nouveau 0000:01:00.0: bios: version 82.07.84.00.3e
nouveau 0000:01:00.0: fb: 4096 MiB GDDR5
nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 3e6684 [ IBUS ]
nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 10ac08 [ IBUS ]

lspci says:
01:00.0 VGA compatible controller: NVIDIA Corporation GM107 [GeForce GTX 750 Ti] (rev a2)

Comment 2 baz3s7ace 2019-01-07 00:41:10 UTC
Same with Toshiba Satellite:

$ lspci -kvv
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09) (prog-if 00 [VGA controller])
	Subsystem: Toshiba America Info Systems Device fa33 
...
01:00.0 3D controller: NVIDIA Corporation GF117M [GeForce 610M/710M/810M/820M / GT 620M/625M/630M/720M] (rev a1)
	Subsystem: Toshiba America Info Systems GeForce 710M
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 26
	Region 0: Memory at d2000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at a0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at b0000000 (64-bit, prefetchable) [size=32M]
	Region 5: I/O ports at 3000 [size=128]
	Expansion ROM at b2000000 [disabled] [size=512K]
	Capabilities: <access denied>
	Kernel driver in use: nouveau
	Kernel modules: nouveau

[... ~]$ dmesg | grep nouveau
[    3.417748] nouveau 0000:01:00.0: enabling device (0006 -> 0007)
[    3.417897] nouveau 0000:01:00.0: NVIDIA GF117 (0d7000a2)
[    3.433204] nouveau 0000:01:00.0: bios: version 75.17.53.00.54
[    3.517512] nouveau 0000:01:00.0: fb: 1024 MiB DDR3
[    3.531472] nouveau 0000:01:00.0: bus: MMIO write of ffff9b1f FAULT at 6013d4 [ IBUS ]
[    3.531475] nouveau 0000:01:00.0: volt: couldn't find speedo value, volting not possible
[    3.570769] nouveau 0000:01:00.0: DRM: VRAM: 1024 MiB
[    3.570770] nouveau 0000:01:00.0: DRM: GART: 1048576 MiB
[    3.570774] nouveau 0000:01:00.0: DRM: Pointer to TMDS table invalid
[    3.570775] nouveau 0000:01:00.0: DRM: DCB version 4.0
[    3.572079] nouveau 0000:01:00.0: DRM: MM: using COPY0 for buffer copies
[    3.572090] [drm] Initialized nouveau 1.3.1 20120801 for 0000:01:00.0 on minor 0
[   69.820910] nouveau 0000:01:00.0: bus: MMIO write of ffffff1f FAULT at 6013d4 [ IBUS ]
[  106.848194] nouveau 0000:01:00.0: bus: MMIO write of 0000001f FAULT at 6013d4 [ IBUS ]
[  117.689317] nouveau 0000:01:00.0: bus: MMIO write of ffffff1f FAULT at 6013d4 [ IBUS ]

Device info:
[    0.000000] SMBIOS 2.7 present.
[    0.000000] DMI: TOSHIBA SATELLITE C55-A-12D/PT10F, BIOS 1.00 04/22/2013

Comment 3 baz3s7ace 2019-01-17 20:19:33 UTC
Additional information (journalctl -k):
 06:25:44 : ACPI Warning: \_SB.PCI0.GFX0._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20180810/nsarguments-6>
 06:25:44 : ACPI Warning: \_SB.PCI0.PEG0.PEGP._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20180810/nsargume>
 06:25:44 : pci 0000:01:00.0: optimus capabilities: enabled, status dynamic power, hda bios codec supported
 06:25:44 : VGA switcheroo: detected Optimus DSM method \_SB_.PCI0.PEG0.PEGP handle
 06:25:44 : nouveau 0000:01:00.0: enabling device (0006 -> 0007)
 06:25:44 : checking generic (c0000000 408000) vs hw (a0000000 10000000)
 06:25:44 : checking generic (c0000000 408000) vs hw (b0000000 2000000)
 06:25:44 : nouveau 0000:01:00.0: NVIDIA GF117 (0d7000a2)
 06:25:44 : checking generic (c0000000 408000) vs hw (c0000000 10000000)
 06:25:44 : fb: switching to inteldrmfb from EFI VGA
 06:25:44 : [drm] Replacing VGA console driver
 06:25:44 : [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
 06:25:44 : [drm] Driver supports precise vblank timestamp query.
 06:25:45 : nouveau 0000:01:00.0: bios: version 75.17.53.00.54
 06:25:45 : i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
 06:25:45 : nouveau 0000:01:00.0: fb: 1024 MiB DDR3
 06:25:45 : nouveau 0000:01:00.0: bus: MMIO write of 0000001f FAULT at 6013d4 [ IBUS ]
 06:25:45 : nouveau 0000:01:00.0: volt: couldn't find speedo value, volting not possible
 06:25:45 : vga_switcheroo: enabled
 06:25:45 : [TTM] Zone  kernel: Available graphics memory: 4018408 kiB
 06:25:45 : [TTM] Zone   dma32: Available graphics memory: 2097152 kiB
 06:25:45 : [TTM] Initializing pool allocator
 06:25:45 : [TTM] Initializing DMA pool allocator
 06:25:45 : nouveau 0000:01:00.0: DRM: VRAM: 1024 MiB
 06:25:45 : nouveau 0000:01:00.0: DRM: GART: 1048576 MiB
 06:25:45 : nouveau 0000:01:00.0: DRM: Pointer to TMDS table invalid
 06:25:45 : nouveau 0000:01:00.0: DRM: DCB version 4.0
 06:25:45 : nouveau 0000:01:00.0: DRM: MM: using COPY0 for buffer copies
 06:25:45 : [drm] Initialized nouveau 1.3.1 20120801 for 0000:01:00.0 on minor 1
 06:25:45 : [drm] Initialized i915 1.6.0 20180719 for 0000:00:02.0 on minor 0
 06:25:45 : [Firmware Bug]: ACPI(PEGP) defines _DOD but not _DOS
 06:25:45 : ACPI: Video Device [PEGP] (multi-head: yes  rom: yes  post: no)
 06:25:45 : input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:37/LNXVIDEO:00/input/input16
 06:25:45 : ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
 06:25:45 : input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:01/input/input17
...
 05:27:11 : ACPI: \_SB_.PCI0.PEG0.PEGP: failed to evaluate _DSM
 05:27:24 : nouveau 0000:01:00.0: bus: MMIO write of ffffff1f FAULT at 6013d4 [ IBUS ]
 05:27:31 : ACPI: \_SB_.PCI0.PEG0.PEGP: failed to evaluate _DSM
 05:28:22 : nouveau 0000:01:00.0: bus: MMIO write of 0000001f FAULT at 6013d4 [ IBUS ]
 05:28:26 : fuse init (API version 7.27)
 05:28:30 : ACPI: \_SB_.PCI0.PEG0.PEGP: failed to evaluate _DSM
 05:28:33 : nouveau 0000:01:00.0: bus: MMIO write of ffffff1f FAULT at 6013d4 [ IBUS ]
 05:28:33 : nouveau 0000:01:00.0: bus: MMIO write of badf1001 FAULT at 50405c [ IBUS ]
 05:28:38 : ACPI: \_SB_.PCI0.PEG0.PEGP: failed to evaluate _DSM

Comment 4 Christian Labisch 2019-02-04 12:11:37 UTC
I can confirm error logs on a CLEVO W370SS machine running fedora 29 workstation.

$ journalctl | grep nouveau

kernel: nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 619444 [ IBUS ]
kernel: nouveau 0000:01:00.0: enabling device (0006 -> 0007)
kernel: nouveau 0000:01:00.0: NVIDIA GM107 (117120a2)
kernel: nouveau 0000:01:00.0: bios: version 82.07.27.00.0d
kernel: nouveau 0000:01:00.0: fb: 2048 MiB GDDR5
kernel: nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 022554 [ IBUS ]
kernel: nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 10ac08 [ IBUS ]
kernel: nouveau 0000:01:00.0: DRM: VRAM: 2048 MiB
kernel: nouveau 0000:01:00.0: DRM: GART: 1048576 MiB
kernel: nouveau 0000:01:00.0: DRM: Pointer to TMDS table invalid
kernel: nouveau 0000:01:00.0: DRM: DCB version 4.0
kernel: nouveau 0000:01:00.0: DRM: MM: using COPY for buffer copies
kernel: [drm] Initialized nouveau 1.3.1 20120801 for 0000:01:00.0 on minor 1
kernel: nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 619444 [ IBUS ]
kernel: nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 619444 [ IBUS ]
kernel: nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 619444 [ IBUS ]

Comment 5 Ben Cotton 2019-05-02 19:43:07 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 MicMor 2019-05-29 17:56:14 UTC
Similar issue here with an MSI GP72-7RE.  Every boot of F30 logs this:


[24612.248394] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[24630.779963] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[24752.449809] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[24792.256037] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[24811.355877] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]

Comment 7 Aditya Prakash 2019-06-08 12:17:10 UTC
Similar kind of issue in HP AU003TX running latest release of Fedora workstation (F30). The System stuck for few seconds before getting into the logging screen after recovering from a lock screen. It had made the shell load slower. 

This issue arose when I upgraded from F29 to F30. To recover from this I disabled nouveau in the grub file by nouveau.modeset=0. The system doesnot get stuck anymore, but this error still comes in the log.

Everytime after booting or loggin in from a logged out screen, it had the following kind of log:

$dmesg | grep nouveau
[    2.757375] nouveau: detected PR support, will not use DSM
[    2.757403] nouveau 0000:01:00.0: enabling device (0000 -> 0003)
[    2.757576] nouveau 0000:01:00.0: NVIDIA GM108 (1180d0a2)
[    2.769495] nouveau 0000:01:00.0: bios: version 82.08.59.00.75
[    2.854419] nouveau 0000:01:00.0: fb: 2048 MiB DDR3
[    2.854438] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[    2.868763] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 10ac08 [ IBUS ]
[    3.511418] nouveau 0000:01:00.0: DRM: VRAM: 2048 MiB
[    3.511419] nouveau 0000:01:00.0: DRM: GART: 1048576 MiB
[    3.511423] nouveau 0000:01:00.0: DRM: Pointer to TMDS table invalid
[    3.511424] nouveau 0000:01:00.0: DRM: DCB version 4.0
[    3.512209] nouveau 0000:01:00.0: DRM: MM: using COPY for buffer copies
[    3.512418] [drm] Initialized nouveau 1.3.1 20120801 for 0000:01:00.0 on minor 1
[   94.198991] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[  120.110492] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[  130.638859] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[  130.796514] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 619444 [ IBUS ]
[123906.602293] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[123930.691620] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[123943.428613] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[123993.393444] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[124248.832135] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[124518.306367] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
...
...
[125006.639598] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[126281.102098] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]
[152704.037714] nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 6013d4 [ IBUS ]

Comment 9 Sebastian 2019-07-29 22:43:27 UTC
(In reply to MicMor from comment #8)
> Upgrade "nouveau"  1.0.16 ? 
> 
> https://cgit.freedesktop.org/nouveau/xf86-video-nouveau/log/?h=xf86-video-
> nouveau-1.0.16

If you can provide a .rpm-file I can test it.

Comment 10 MicMor 2019-07-30 06:22:16 UTC
unfortunately, the rpm version 1.0.16 for fedora does not exist yet. The solution would be to build the rpm from the source file, but it is far beyond my skills. 

source: https://nouveau.freedesktop.org/wiki/InstallNouveau/

file: git clone https://github.com/skeggsb/linux.git # --depth=1

Comment 11 Sebastian 2019-08-04 11:39:02 UTC
(In reply to MicMor from comment #10)
> unfortunately, the rpm version 1.0.16 for fedora does not exist yet. The
> solution would be to build the rpm from the source file, but it is far
> beyond my skills. 
> 
> source: https://nouveau.freedesktop.org/wiki/InstallNouveau/
> 
> file: git clone https://github.com/skeggsb/linux.git # --depth=1

Can't compile it myself either.

Comment 12 Sergei LITVINENKO 2019-09-16 17:37:09 UTC
[root@irina ~]# uname -r
5.2.13-200.fc30.x86_64

[root@irina ~]# lspci -nn | grep NVIDIA
05:00.0 3D controller [0302]: NVIDIA Corporation GF117M [GeForce 610M/710M/810M/820M / GT 620M/625M/630M/720M] [10de:1140] (rev a1)

[root@irina ~]# dmesg | grep nouveau
[    2.724807] nouveau 0000:05:00.0: NVIDIA GF117 (0d7000a2)
[    2.781056] nouveau 0000:05:00.0: bios: version 75.17.7d.00.03
[    2.864528] nouveau 0000:05:00.0: fb: 1024 MiB DDR3
[    3.516771] nouveau 0000:05:00.0: DRM: VRAM: 1024 MiB
[    3.516772] nouveau 0000:05:00.0: DRM: GART: 1048576 MiB
[    3.516774] nouveau 0000:05:00.0: DRM: Pointer to TMDS table invalid
[    3.516775] nouveau 0000:05:00.0: DRM: DCB version 4.0
[    3.518253] nouveau 0000:05:00.0: DRM: MM: using COPY0 for buffer copies
[    3.518537] [drm] Initialized nouveau 1.3.1 20120801 for 0000:05:00.0 on minor 1
[   49.023031] nouveau 0000:05:00.0: bus: MMIO write of 0000001f FAULT at 6013d4 [ IBUS ]
[   49.023059] nouveau 0000:05:00.0: bus: MMIO write of badf1001 FAULT at 50405c [ IBUS ]
[  279.499088] nouveau 0000:05:00.0: bus: MMIO write of 0000001f FAULT at 6013d4 [ IBUS ]
[  286.690896] nouveau 0000:05:00.0: bus: MMIO write of 0000001f FAULT at 6013d4 [ IBUS ]
[  303.220109] nouveau 0000:05:00.0: bus: MMIO write of 0000001f FAULT at 6013d4 [ IBUS ]
[  398.467825] nouveau 0000:05:00.0: bus: MMIO write of 0000001f FAULT at 6013d4 [ IBUS ]
[  398.467849] nouveau 0000:05:00.0: bus: MMIO write of badf1001 FAULT at 50405c [ IBUS ]

Comment 13 Sergei LITVINENKO 2019-09-16 17:43:36 UTC
As I understand, issue is related to kernel module.
I do not have rpm xorg-x11-drv-nouveau installed.

Comment 14 Sebastian 2019-09-21 09:00:25 UTC
(In reply to Sergei LITVINENKO from comment #13)
> As I understand, issue is related to kernel module.
> I do not have rpm xorg-x11-drv-nouveau installed.

In my case it is installed, but probably assigning to a different component would be more correct. Do you have any suggestions?

Comment 15 Sergei LITVINENKO 2019-09-26 19:25:32 UTC
>> Do you have any suggestions?

Maybe, issue is related to kernel, because hardware is served by nouveau kernel module
which is not able to recognize and manage nvidia optimus configuration properly.

Comment 16 Alejandro Ochoa 2019-10-18 13:41:50 UTC
I started having these problems recently.  I've used Fedora 30 successfully for a while.  The problems started after a particular kernel update on 2019-09-23.  Kernel 5.2.11 works (using it now), while all later kernels don't, so far including:

5.2.13
5.2.15
5.2.16
5.2.17
5.2.18
5.3.5
5.3.6

My machine is a Lenovo ThinkStation P520 with this Nvidia video card: 

$ lspci | grep -i --color 'vga\|3d\|2d'
65:00.0 VGA compatible controller: NVIDIA Corporation GP107GL [Quadro P400] (rev a1)

My version of xorg-x11-drv-nouveau is 1.0.15.

The startup gets stuck while showing messages about nouveau such as those below, but also other random things.  I can't tell which are severe error messages, it's all incomprehensible to me.

$ dmesg | grep nouveau
[    2.641000] fb0: switching to nouveaufb from EFI VGA
[    2.642988] nouveau 0000:65:00.0: NVIDIA GP107 (137000a1)
[    2.772964] nouveau 0000:65:00.0: bios: version 86.07.3b.00.4a
[    2.773561] nouveau 0000:65:00.0: fb: 2048 MiB GDDR5
[    3.424090] nouveau 0000:65:00.0: DRM: VRAM: 2048 MiB
[    3.424092] nouveau 0000:65:00.0: DRM: GART: 536870912 MiB
[    3.424093] nouveau 0000:65:00.0: DRM: BIT table 'A' not found
[    3.424095] nouveau 0000:65:00.0: DRM: BIT table 'L' not found
[    3.424096] nouveau 0000:65:00.0: DRM: TMDS table version 2.0
[    3.424098] nouveau 0000:65:00.0: DRM: DCB version 4.1
[    3.424099] nouveau 0000:65:00.0: DRM: DCB outp 00: 01800f56 04600020
[    3.424101] nouveau 0000:65:00.0: DRM: DCB outp 01: 01000f52 04620020
[    3.424102] nouveau 0000:65:00.0: DRM: DCB outp 02: 01811f46 04600010
[    3.424103] nouveau 0000:65:00.0: DRM: DCB outp 03: 01011f42 04620010
[    3.424105] nouveau 0000:65:00.0: DRM: DCB outp 04: 02822f76 04600020
[    3.424106] nouveau 0000:65:00.0: DRM: DCB outp 05: 02022f72 00020020
[    3.424107] nouveau 0000:65:00.0: DRM: DCB conn 00: 00002046
[    3.424109] nouveau 0000:65:00.0: DRM: DCB conn 01: 00001146
[    3.424110] nouveau 0000:65:00.0: DRM: DCB conn 02: 00020246
[    3.424426] nouveau 0000:65:00.0: DRM: MM: using COPY for buffer copies
[    3.556766] nouveau 0000:65:00.0: bus: MMIO read of 00000000 FAULT at 122124 [ IBUS ]
[    3.619348] nouveau 0000:65:00.0: DRM: allocated 1920x1080 fb: 0x200000, bo 00000000272511ae
[    3.641081] fbcon: nouveaudrmfb (fb0) is primary device
[    3.750711] nouveau 0000:65:00.0: fb0: nouveaudrmfb frame buffer device
[    3.761116] [drm] Initialized nouveau 1.3.1 20120801 for 0000:65:00.0 on minor 0

Comment 17 Alejandro Ochoa 2019-11-15 14:51:04 UTC
It appears that one of the newer kernels fixed this for me!  I hope other people can confirm this.

$ uname -r
5.3.11-200.fc30.x86_64

This morning I installed 5.3.11, rebooted onto that kernel, and the system loaded without issues!

Since my last update, I continued to test kernels as they became available on the standard fedora 30 repository, and this is the first one that worked so far.  In addition to my previous list, I tested 5.3.7 and 5.3.8 without success.

My version of xorg-x11-drv-nouveau-1.0.15-7.fc30 is the same as before, I think.  The system messages also look the same as before, so maybe they weren't helpful:

$ dmesg | grep nouveau
[   62.285773] fb0: switching to nouveaufb from EFI VGA
[   62.288010] nouveau 0000:65:00.0: NVIDIA GP107 (137000a1)
[   62.403961] nouveau 0000:65:00.0: bios: version 86.07.3b.00.4a
[   62.404451] nouveau 0000:65:00.0: fb: 2048 MiB GDDR5
[   63.055318] nouveau 0000:65:00.0: DRM: VRAM: 2048 MiB
[   63.055319] nouveau 0000:65:00.0: DRM: GART: 536870912 MiB
[   63.055321] nouveau 0000:65:00.0: DRM: BIT table 'A' not found
[   63.055323] nouveau 0000:65:00.0: DRM: BIT table 'L' not found
[   63.055324] nouveau 0000:65:00.0: DRM: TMDS table version 2.0
[   63.055326] nouveau 0000:65:00.0: DRM: DCB version 4.1
[   63.055327] nouveau 0000:65:00.0: DRM: DCB outp 00: 01800f56 04600020
[   63.055329] nouveau 0000:65:00.0: DRM: DCB outp 01: 01000f52 04620020
[   63.055330] nouveau 0000:65:00.0: DRM: DCB outp 02: 01811f46 04600010
[   63.055332] nouveau 0000:65:00.0: DRM: DCB outp 03: 01011f42 04620010
[   63.055333] nouveau 0000:65:00.0: DRM: DCB outp 04: 02822f76 04600020
[   63.055334] nouveau 0000:65:00.0: DRM: DCB outp 05: 02022f72 00020020
[   63.055336] nouveau 0000:65:00.0: DRM: DCB conn 00: 00002046
[   63.055337] nouveau 0000:65:00.0: DRM: DCB conn 01: 00001146
[   63.055338] nouveau 0000:65:00.0: DRM: DCB conn 02: 00020246
[   63.055637] nouveau 0000:65:00.0: DRM: MM: using COPY for buffer copies
[   63.188317] nouveau 0000:65:00.0: bus: MMIO read of 00000000 FAULT at 122124 [ IBUS ]
[   63.251088] nouveau 0000:65:00.0: DRM: allocated 1920x1080 fb: 0x200000, bo 000000000ec6b1fe
[   63.282149] fbcon: nouveaudrmfb (fb0) is primary device
[   63.377209] nouveau 0000:65:00.0: fb0: nouveaudrmfb frame buffer device
[   63.387326] [drm] Initialized nouveau 1.3.1 20120801 for 0000:65:00.0 on minor 0

Yey!?

Comment 18 Alejandro Ochoa 2020-01-06 14:34:06 UTC
My last update turned out to be a false positive.  5.3.11-200.fc30.x86_64 worked for me one time only; after several restarts it has presented the same error as all the previous kernels and the newest ones since.  My problem is that startup is blocked in these kernels, so I never get to the login screen.  The last kernel that has worked for me consistently is 5.2.11.  All of the kernels that result in a blocked startup so far are:

5.2.13
5.2.15
5.2.16
5.2.17
5.2.18
5.3.5
5.3.6
5.3.7
5.3.8
5.3.11
5.3.13
5.3.15
5.3.16
5.4.7

Restating my setup, my machine is a Lenovo ThinkStation P520 with this Nvidia video card: 

$ lspci | grep -i --color 'vga\|3d\|2d'
65:00.0 VGA compatible controller: NVIDIA Corporation GP107GL [Quadro P400] (rev a1)

Comment 19 Sergei LITVINENKO 2020-10-11 15:16:10 UTC
Fedora-32

[root@irina ~]# uname -r
5.8.13-200.fc32.x86_64


[root@irina ~]# lspci -nn
00:02.0 VGA compatible controller [0300]: Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 0b)
05:00.0 3D controller [0302]: NVIDIA Corporation GF117M [GeForce 610M/710M/810M/820M / GT 620M/625M/630M/720M] [10de:1140] (rev a1)
..

[root@irina ~]# dmesg | grep nouveau
[    3.678438] nouveau: detected PR support, will not use DSM
[    3.678837] nouveau 0000:05:00.0: NVIDIA GF117 (0d7000a2)
[    3.715996] nouveau 0000:05:00.0: bios: version 75.17.7d.00.03
[    3.814183] nouveau 0000:05:00.0: fb: 1024 MiB DDR3
[    4.676049] nouveau 0000:05:00.0: DRM: VRAM: 1024 MiB
[    4.676050] nouveau 0000:05:00.0: DRM: GART: 1048576 MiB
[    4.676053] nouveau 0000:05:00.0: DRM: Pointer to TMDS table not found
[    4.676054] nouveau 0000:05:00.0: DRM: DCB version 4.0
[    4.678319] nouveau 0000:05:00.0: DRM: MM: using COPY0 for buffer copies
[    4.678593] [drm] Initialized nouveau 1.3.1 20120801 for 0000:05:00.0 on minor 1
[   43.229232] nouveau 0000:05:00.0: Enabling HDA controller
[   46.337989] nouveau 0000:05:00.0: bus: MMIO write of 0000001f FAULT at 6013d4 [ IBUS ]

Comment 20 Ben Cotton 2020-11-03 15:00:50 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 21 Ben Cotton 2020-11-24 15:26:16 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.